curl --request POST \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId}/activate \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Activate program member
Moves the member to ACTIVE status and records a vl.member.activated activity.
No request body. Returns 404 when the program or member does not exist. Returns 400
(invalid_state_transition) when the member cannot be activated from its current
state.
curl --request POST \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId}/activate \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Authorizations
Path Parameters
Unique loyalty program ID (format lprg_[a-f0-9]+).
^lprg_[a-f0-9]+$Program member ID (format lmbr_[a-f0-9]+).
^lmbr_[a-f0-9]+$Response
The activated member (without cards).
A loyalty program member.
Unique member ID.
^lmbr_[a-f0-9]+$Unique Voucherify ID of the customer enrolled as this member.
^cust_[a-zA-Z0-9]+Unique Voucherify ID of the loyalty program the member belongs to.
^lprg_[a-f0-9]+$Current member status. INACTIVE member can't earn points or redeem rewards.
ACTIVE, INACTIVE, DELETED Free-form metadata attached to the member (empty object when none).
Timestamp when the member was created (ISO 8601).
Timestamp when the member was last updated (ISO 8601), or null if never updated.
Object type marker, always member.
"member"Was this page helpful?

